> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set rate

> Set rate

### Request body

`SetExchangeRateRequest`

<ParamField body="base_currency" type="string" required />

<ParamField body="quote_currency" type="string" required />

<ParamField body="rate" type="string" required />

### Responses

<ResponseField name="201" type="ExchangeRateResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/currencies/rates' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "base_currency": "string",
    "quote_currency": "string",
    "rate": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "base_currency": "string",
    "quote_currency": "string",
    "rate": "string",
    "updated_at": "string"
  }
  ```
</ResponseExample>
